/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.kernel.ws.api;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public class PEtALSWebServiceException extends Exception {

    /**
     *
     */
    private static final long serialVersionUID = -368454045255165283L;

    /**
     *
     */
    public PEtALSWebServiceException() {
        super();
    }

    /**
     * @param message
     * @param cause
     */
    public PEtALSWebServiceException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @param message
     */
    public PEtALSWebServiceException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public PEtALSWebServiceException(Throwable cause) {
        super(cause);
    }
}
